summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/tl-portable.bat5
-rwxr-xr-xMaster/tl-portable.sh11
2 files changed, 12 insertions, 4 deletions
diff --git a/Master/tl-portable.bat b/Master/tl-portable.bat
index 796fd30e4e5..2ff66602d29 100755
--- a/Master/tl-portable.bat
+++ b/Master/tl-portable.bat
@@ -41,7 +41,12 @@ rem use provided Perl
set PERL5LIB=%TEXDIR%tlpkg\installer\perllib
"%TEXDIR%tlpkg\installer\perl" "%TEXDIR%install-tl.pl" --portable
+if not errorlevel 1 goto doit
+echo Initialization of TeXLive failed!
+pause
+exit
+:doit
path %TEXDIR%bin\win32;%path%
set PROMPT=TL $P$G
%COMSPEC% /k
diff --git a/Master/tl-portable.sh b/Master/tl-portable.sh
index b8d0658725c..d8b11e8011f 100755
--- a/Master/tl-portable.sh
+++ b/Master/tl-portable.sh
@@ -56,11 +56,14 @@ elif test ! -d $TEXDIR/bin/$platform; then
exit 1
fi
-$TEXDIR/install-tl.pl --portable
+if $TEXDIR/install-tl.pl --portable; then :; else
+ echo Initialization of TeXLive failed!
+ exit 1
+fi
-#; try to block initialization scripts and
-# set custom prompt for secondary shell
-# but I know of no good way to do this for the C shell.
+# Try to block initialization scripts.
+# Set custom prompt for secondary shell, but
+# I know of no good way to do this for the C shell.
if test "$SHELL" = /bin/bash; then
TLARGS=--norc